

Summary: A multi-platform helper library for other libraries
Name: gwenhywfar
Version: 5.10.2
Release:    1%{?dist}

URL: http://www.aquamaniac.de/sites/download/packages.php?package=01&showall=1
Source0: https://www.aquamaniac.de/rdm/attachments/download/501/%{name}-%{version}.tar.gz
License: LGPL-2.1-or-later

BuildRequires: cmake gcc gcc-c++
BuildRequires: gnutls-devel gettext libgcrypt-devel openssl-devel
BuildRequires: gtk3-devel >= 3.14.0
BuildRequires: qt5-qtbase-devel

Requires: ca-certificates

%description
This is Gwenhywfar, a multi-platform helper library for networking and
security applications and libraries. It is heavily used by libchipcard
and AqBanking/AqHBCI, the German online banking libraries.

%package devel
Summary: Gwenhywfar core development kit
Requires: %{name} = %{version}-%{release}
%description devel
This package contains gwenhywfar-config and header files for writing and
compiling programs using Gwenhywfar.

%package gui-gtk3
Summary: Gwenhywfar GUI framework for GTK3
Requires: %{name} = %{version}-%{release}
%description gui-gtk3
This package contains the gtk3 gwenhywfar GUI backend.

%package gui-gtk3-devel
Summary: Development files for %{name}-gui-gtk3
Requires: %{name} = %{version}-%{release}
%description gui-gtk3-devel
%{summary}.

%package gui-cpp
Summary: Gwenhywfar GUI framework for cpp
Requires: %{name} = %{version}-%{release}
%if ! 0%{?qt4}
%endif
%description gui-cpp
This package contains the cpp gwenhywfar GUI backend.

%package gui-cpp-devel
Summary: Development files for %{name}-gui-cpp
%if ! 0%{?qt4}
%endif
Requires: %{name}-gui-cpp = %{version}-%{release}
%description gui-cpp-devel
%{summary}.

%if 0%{?qt4}
%package gui-qt4
Summary: Gwenhywfar GUI framework for Qt4
BuildRequires: qt4-devel >= 4.3.0
BuildRequires: make
Requires: %{name}-gui-cpp = %{version}-%{release}
%description gui-qt4
This package contains the qt4 gwenhywfar GUI backend.

%package gui-qt4-devel
Summary: Development files for %{name}-qt4-cpp
Requires: %{name}-gui-qt4 = %{version}-%{release}
Requires: %{name}-gui-cpp-devel = %{version}-%{release}
%description gui-qt4-devel
%{summary}.
%endif

%package gui-qt5
Summary: Gwenhywfar GUI framework for Qt5
Requires: %{name}-gui-cpp = %{version}-%{release}
%description gui-qt5
This package contains the qt5 gwenhywfar GUI backend.

%package gui-qt5-devel
Summary: Development files for %{name}-qt4-cpp
Requires: %{name}-gui-qt5 = %{version}-%{release}
Requires: %{name}-gui-cpp-devel = %{version}-%{release}
%description gui-qt5-devel
%{summary}.


%prep
%autosetup -n %{name}-%{version}


%build
export PKG_CONFIG=/usr/bin/pkg-config
export QT5_HOST_BINS=$($PKG_CONFIG --variable=host_bins Qt5Core)
export PATH=$PATH:$QT5_HOST_BINS

%configure \
  --disable-static\
  --enable-system-certs \
  --with-guis="gtk3 %{?qt4:qt4} qt5" \
  --with-openssl-libs=%{_libdir} \
%if 0%{?qt4}
  --with-qt4-libs=%{_qt4_libdir} --with-qt4-includes=%{_qt4_headerdir} \
  --with-qt4-moc=%{_bindir}/moc-qt4 \
  --with-qt4-uic=%{_bindir}/uic-qt4 \
%endif
  --with-qt5-qmake=$QT5_HOST_BINS/qmake \
  --with-qt5-moc=$QT5_HOST_BINS/moc \
  --with-qt5-uic=$QT5_HOST_BINS/uic \


sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build


%install
%make_install

rm -f  %{buildroot}%{_datadir}/%{name}/ca-bundle.crt
ln -sf %{_sysconfdir}/pki/tls/certs/ca-bundle.crt \
       %{buildroot}%{_datadir}/%{name}/ca-bundle.crt

rm -fv %{buildroot}%{_libdir}/lib*.la

%find_lang %{name}



%files -f %{name}.lang
%doc AUTHORS README ChangeLog
%license COPYING
%{_bindir}/gct-tool
%{_libdir}/libgwenhywfar.so.79*
%{_libdir}/gwenhywfar/
%dir %{_datadir}/gwenhywfar/
%{_datadir}/gwenhywfar/dialogs
%{_datadir}/gwenhywfar/ca-bundle.crt

%files devel
%{_bindir}/gsa
%{_bindir}/gwenhywfar-config
%{_bindir}/mklistdoc
%{_bindir}/typemaker*
%{_bindir}/xmlmerge
%{_bindir}/gwbuild
%dir %{_includedir}/gwenhywfar5/
%{_includedir}/gwenhywfar5/gwenhywfar/
%{_libdir}/libgwenhywfar.so
%{_libdir}/cmake/gwenhywfar-*/
%{_datadir}/aclocal/gwenhywfar.m4
%{_datadir}/%{name}/typemaker*
%{_libdir}/pkgconfig/gwenhywfar.pc
%{_datadir}/gwenbuild/templates
%{_datadir}/%{name}/gwenbuild

%files gui-gtk3
%{_libdir}/libgwengui-gtk3.so.79*

%files gui-gtk3-devel
%{_libdir}/libgwengui-gtk3.so
%{_libdir}/pkgconfig/gwengui-gtk3.pc
%{_includedir}/gwenhywfar5/gwen-gui-gtk3/


%files gui-cpp
%{_libdir}/libgwengui-cpp.so.79*
%{_includedir}/gwenhywfar5/gwen-gui-cpp/

%files gui-cpp-devel
%{_libdir}/libgwengui-cpp.so
%{_libdir}/cmake/gwengui-cpp-*/

%if 0%{?qt4}

%files gui-qt4
%{_libdir}/libgwengui-qt4.so.*

%files gui-qt4-devel
%{_libdir}/libgwengui-qt4.so
%{_libdir}/cmake/gwengui-qt4-*/
%{_libdir}/pkgconfig/gwengui-qt4.pc
%{_includedir}/gwenhywfar5/gwen-gui-qt4/
%endif


%files gui-qt5
%{_libdir}/libgwengui-qt5.so.79*

%files gui-qt5-devel
%{_libdir}/libgwengui-qt5.so
%{_libdir}/cmake/gwengui-qt5-*/
%{_libdir}/pkgconfig/gwengui-qt5.pc
%{_includedir}/gwenhywfar5/gwen-gui-qt5/


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.10.2-1
- initial build
